Package org.opengis.cite.iso19142

# Enum Class ProtocolBinding

java.lang.Object
java.lang.Enum<ProtocolBinding>
org.opengis.cite.iso19142.ProtocolBinding

All Implemented Interfaces:
  `Serializable`, `Comparable<ProtocolBinding>`, `Constable`

public enum ProtocolBinding extends Enum<ProtocolBinding>
An enumerated type that indicates how a request message is bound to an application protocol. In effect, a binding prescribes how the message content is mapped into a concrete exchange format. The WFS v2 specification defines three conformance classes pertaining to protocol bindings; a conforming service must implement at least one of these and advertise all supported bindings in the service capabilities document.

- HTTP GET (constraint name: 'KVPEncoding')
- HTTP POST (constraint name : 'XMLEncoding')
- SOAP (constraint name: 'SOAPEncoding')

See Also:
  - "ISO 19142:2010, Geographic information -- Web Feature Service"
  - RFC 2616
  - SOAP HTTP Binding

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  Any supported binding
  `GET`
  HTTP GET method
  `POST`
  HTTP POST method
  `SOAP`
  SOAP HTTP binding

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConstraintName()`
  `static ProtocolBinding`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProtocolBinding[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final ProtocolBinding GET
    HTTP GET method

  - ### POST

    public static final ProtocolBinding POST
    HTTP POST method

  - ### SOAP

    public static final ProtocolBinding SOAP
    SOAP HTTP binding

  - ### ANY

    public static final ProtocolBinding ANY
    Any supported binding

- ## Method Details

  - ### values

    public static ProtocolBinding[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProtocolBinding valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getConstraintName

    public String getConstraintName()